* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --brown-text : #422520;
    --yellow-background: #F8D25B;
    --white-text: #FFFFFF;
    --brown-background: #806034;
}

body, button {
    font-family: 'Biski Trial', sans-serif;
}


body {
    position: relative;
    background-image: url("images/backgroundImage.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

h1 {
    font-size: clamp(1.2rem, 0.968rem + 3.368vw, 4rem);
    font-family: "Bungee Shade", sans-serif;
    font-weight: 900;
}


h2 {
    font-size: clamp(1.1rem, 0.806rem + 1.882vw, 2.5rem);
    font-weight: 900;
}

#generateJokeBtn {
    font-size: clamp(1rem, 0.748rem + 1.613vw, 2.2rem);
    font-weight: 700;
}

p {
    font-size: clamp(1rem, 0.967rem + 0.175vw, 1.125rem);
    font-weight: 800;
}

button {
    font-size: clamp(1rem, 0.967rem + 0.175vw, 1.125rem);
    font-weight: 400;
}

.flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

header, main {
    width: 100%;
}

main {
    padding: 1rem;
    height: fit-content;
}

.logo-holder {
    z-index: 10;
}

.logo-holder img {
    width: 10rem;
}


.joke-section {
    position: relative;
    flex-direction: column;
    justify-content: flex-start;
    padding: 2rem;
    z-index: 1;
    margin-top: -100px;
    text-align: center;
    background-color: rgba(249, 210, 91, 0.8);
    border-radius: 25px;
    transition: height 0.5s ease-out;
}




.create-joke-div {
    position: relative;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    visibility: visible;
    margin-top: 2rem;
}

.create-joke-div h2 {
    margin-bottom: 2rem;
}

.generate-joke-btn {
    padding: 1rem;
    border-radius: 20px;
    background-color: var(--brown-text);
    color: var(--white-text);
    border: none;
    margin-bottom: 4rem;
    z-index: 2;
}

/*dynamic div container*/

.image-container {
    margin-bottom: 2rem;
}
.image-container img {
    width: 70vw;
}


.joke-div {
    position: absolute;
    display: flex;
    justify-content: space-around;
    align-items: center;
    visibility: hidden;
    width: 100%;
}

.joke-inner-div {
    margin-top: 2rem;
    flex-direction: column;
    padding: 1rem;
}

.image-container, .joke-container {
    padding: 2rem;
}

.image-container img {
    border-radius: 10px;
}

.joke-box1 {
    padding: 2rem;
}
.joke-box1 img {
    width: 12rem;
}

.joke-box2 {
    padding: 1rem;
}


.joke {
    opacity: 0;
    transform: translateY(-15px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
}

.joke.show {
    opacity: 1;
    transform: translateY(0);
}

.button2 {
    margin-top: 3rem;
}

@media (min-width: 900px) {

    .image-container {
        margin-bottom: 1rem;

    }

    .create-joke-div {
        margin-top: 2rem;
    }
    .joke-inner-div {
        margin-top: 1rem;
        display: flex;
        justify-content: center;
        align-items: stretch;
        flex-direction: row;
    }

    .joke-container, .image-container {
        width: 45%;
        margin-bottom: 0;
        padding: 1.5rem;
    }


    .image-container {
        border-right: 5px solid var(--brown-text);
    }

}

